﻿package{
	import flash.display.*;
	import flash.events.Event;
	import flash.filters.BlurFilter;
	import flash.geom.Matrix;
	import flash.geom.Point;
	public class Perliner extends Sprite
	{
		private var bmd:BitmapData;
		private var background:Bitmap;
		private var angle:Number = 0;
		private var size:int = 0;
		private var sens:int = 0;
		private var tps:int = 0;
		private var ecart:int = 0;
		private var nuance:Number = 0;
		private var painter:Sprite;
		private var matrix:Matrix ;
		private var color:uint = 0xff0000;
		private var filterObj:BlurFilter = new BlurFilter(1.1,1.1,2);
		public function Perliner():void
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			bmd = new BitmapData(stage.stageWidth,stage.stageHeight,false,0xff000000);
			background = new Bitmap(bmd);
			addChild(background);
			painter = new Sprite();
			init();
			addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function init():void
		{
			painter.graphics.clear();
			angle = 0;
			sens = Math.random()*2;
			nuance = Math.random();
			color = nuance*0xffffff;
			tps = (1-nuance)*360;
			size = Math.random()*50 + 10;
			ecart = Math.random()*10 + 1;
			//painter.graphics.beginFill(color,1);
			painter.graphics.lineStyle(1,color);
			painter.graphics.lineTo(0,0);
			painter.graphics.lineTo(size,0);
			//painter.graphics.lineTo(-size/2,size);
			//painter.graphics.lineTo(size/2,size);
			//painter.graphics.endFill();
			trace("nuance = "+nuance);
			trace("tps = "+tps);			
			trace(ecart);
		}
		private function enterHandler(e:Event):void
		{
			if(angle<tps){
				matrix = new Matrix();
				matrix.translate(angle, -1);
				matrix.rotate(Math.pow(-1,sens)*angle);
				matrix.translate(stage.stageWidth/2,stage.stageHeight/2);
								
				bmd.applyFilter(bmd,bmd.rect,new Point(0,0),filterObj);
				bmd.draw(painter,matrix);
				
				angle+= ecart;
			}else{
				init();
			}
		}
	}
}